## Tilastotieteen käsikirja / R-esimerkit lukuun 4
## (C) 2021 Lauri Nummenmaa / Tammi

## --------------------------------------------------------------------------------------------------------------------------------
1+1 # Helppo yhteenlasku
5*5+(12-16)^2	# Pidempi lauseke 
4+2/5*(10-2)+	# Lauseke alkaa… 
  + (1+2+3+4+5+6)^2	#...ja jatkuu

## --------------------------------------------------------------------------------------------------------------------------------
1==1
1>2
1<2
"omena"=="banaani"

## --------------------------------------------------------------------------------------------------------------------------------
pituus<-1.8 # Määritetään pituus -muuttuja
paino<-80 # Määritetään paino -muuttuja
BMI<-paino/pituus^2	# Lasketaan BMI -muuttuja
BMI # Tarkistetaan BMI-muuttujan arvo

## --------------------------------------------------------------------------------------------------------------------------------
paino<-paino+20 # Lisätään muuttujan arvoon 20
BMI<-paino/pituus^2	#Lasketaan BMI -muuttuja
BMI # Tarkistetaan BMI-muuttujan arvo			
ls() # Listataan muistissa oleva muuttujat

## --------------------------------------------------------------------------------------------------------------------------------
x=1:5 # Luodaan vektori x jossa on kokonaisluvut 1-5
y=6:10 # Luodaan vektori y jossa on kokonaisluvut 6-10
x
y

## --------------------------------------------------------------------------------------------------------------------------------
1:5 # Sarja kokonaislukuja
rep(1:3, times=3) # Sarja kokonaislukuja kolme kertaa
seq(0, 0.5, by=0.1) # Määrävälinen sarja välillä [0, 0.5] 
gl(2,4,labels=c("Tyttö","Poika")) # Merkkijonojen toistaminen

## --------------------------------------------------------------------------------------------------------------------------------
sokeri<-c(5.5,6.2,5.8,5.3,5.9) # Tallennetaan verensokerit vektoriin
pituus<-c(1.81,1.72,1.69,1.90,1.77)	#Tallennetaan pituudet vektoriin
paino<-c(75,88,70,90,82) # Tallennetaan painot vektoriin
DM<-c('on','on','ei','ei','ei')	#Tallennetaan diabetes-status vektoriin

## --------------------------------------------------------------------------------------------------------------------------------
paino/pituus^2 # Lasketaan BMIt koko aineistolle

## --------------------------------------------------------------------------------------------------------------------------------
aineisto<-cbind(sokeri,pituus,paino) # Muodostetaan vektoreista matriisi
aineisto # Tarkistetaan tulos

## --------------------------------------------------------------------------------------------------------------------------------
paino[1] # Ensimmäinen alkio
paino[3] # Kolmas alkio
paino[c(3,5,1)]	# Kolmas, viides ja ensimmäinen alkio

## --------------------------------------------------------------------------------------------------------------------------------
aineisto[2, 3]

## --------------------------------------------------------------------------------------------------------------------------------
aineisto2<-aineisto # Tehdään kopio muokkaamista varten
aineisto2[2:3, 3:2] # Rivit 2:3 ja sarakkeet 3:2
aineisto2[2:3,] # Rivit 2:3, kaikki sarakkeet
aineisto2[-(2:3),]	# Poista rivit 2:2
aineisto2[,2:3]	# Sarakkeet 2:3 ja kaikki rivit	
aineisto2[2:3]	# Sarakkeet 2:3
aineisto2[2:3,2] = -9	# Muuta rivien 2:3 ja sarakkeen 2 kaikki alkiot numeroksi -9
aineisto2

## --------------------------------------------------------------------------------------------------------------------------------
mean(sokeri) # Keskiarvo

## --------------------------------------------------------------------------------------------------------------------------------
tutkimusaineisto<-data.frame(sokeri, pituus, paino,DM)	# Luodaan tietokehikko
tutkimusaineisto # Tarkistetaan tulos

## ----results="hold"--------------------------------------------------------------------------------------------------------------
tutkimusaineisto$sokeri
tutkimusaineisto$DM

## --------------------------------------------------------------------------------------------------------------------------------
BMI<-tutkimusaineisto$paino/tutkimusaineisto$pituus^2 
BMI

## --------------------------------------------------------------------------------------------------------------------------------
tutkimusaineisto$BMI<-BMI
tutkimusaineisto

## --------------------------------------------------------------------------------------------------------------------------------
tutkimusaineisto
tutkimusaineisto$DM=="on"
tutkimusaineisto[tutkimusaineisto$DM=="ei",]
tutkimusaineisto[tutkimusaineisto$DM=="ei" & +
                     + tutkimusaineisto$pituus>1.7,]

## --------------------------------------------------------------------------------------------------------------------------------
# Yksinkertainen skripti aineiston käsittelyyn
sokeri<-c(7.5,7.2,5.8,5.3,5.9) # Määritä paastosokerivektori
pituus<-c(1.81,1.72,1.69,1.90,1.77) # Määritä pituusvektori
paino<-c(75,88,70,90,82) # Määritä painovektori
DM<-c('on','on','ei','ei','ei') # Määritä DM-vektori
laskeBMI <- function(pituus,paino) { # Funktio BMI:n laskemiseen
  BMI<-paino/pituus^2 
  return(BMI)
  }
BMI=laskeBMI(pituus,paino) # Laske BMIt funktion avulla
tutkimusaineisto<-data.frame(sokeri, pituus, paino) # Muodosta tietokehikko
tutkimusaineisto$BMI<-(BMI) # Lisää BMI kehikkoon
summary(tutkimusaineisto) # Laske kuvailevat tunnusluvut


