## Tilastotieteen käsikirja / R-esimerkit lukuun 13
## (C) 2021 Lauri Nummenmaa / Tammi

## --------------------------------------------------------------------------------------------------------------------------------
z.test = function(a, mu, haj){
   zeta = (mean(a) - mu) / (haj / sqrt(length(a)))
   return(zeta)
}

## --------------------------------------------------------------------------------------------------------------------------------
library(nummenmaa)
zeta=z.test(ciri$IKA,70,10)
zeta
pnorm(zeta)

## --------------------------------------------------------------------------------------------------------------------------------
z.test2sam = function(a, b, haj.a, haj.b){
   n.a = length(a)
   n.b = length(b)
   zeta = (mean(a) - mean(b)) / (sqrt(haj.a^2/n.a + haj.b^2/n.b))
   return(zeta)
}

